Index: pykota/trunk/po/en/pykota.po
===================================================================
--- pykota/trunk/po/en/pykota.po (revision 1489)
+++ pykota/trunk/po/en/pykota.po (revision 1615)
@@ -26,8 +26,8 @@
 msgid ""
 msgstr ""
-"Project-Id-Version: PyKota v1.18\n"
+"Project-Id-Version: PyKota v1.19\n"
 "Report-Msgid-Bugs-To: alet@librelogiciel.com\n"
-"POT-Creation-Date: 2004-01-15 11:51+0100\n"
-"PO-Revision-Date: 2004-01-15 12:00+0100\n"
+"POT-Creation-Date: 2004-07-21 15:35:00+0100\n"
+"PO-Revision-Date: 2004-07-21 15:35:00+0100\n"
 "Last-Translator: Jerome Alet <alet@librelogiciel.com>\n"
 "Language-Team: English <alet@librelogiciel.com>\n"
@@ -37,117 +37,4 @@
 
 #, python-format
-msgid "SIGTERM received, job %s cancelled."
-msgstr ""
-
-#, python-format
-msgid "SIGTERM was sent to real backend %s (pid: %s)"
-msgstr ""
-
-#, python-format
-msgid "CUPS backend %s died abnormally."
-msgstr ""
-
-#, python-format
-msgid "Invalid softlimit value %s."
-msgstr ""
-
-#, python-format
-msgid "Invalid hardlimit value %s."
-msgstr ""
-
-#, python-format
-msgid "Hard limit %i is less than soft limit %i, values will be exchanged."
-msgstr ""
-
-#, python-format
-msgid "Invalid balance value %s"
-msgstr ""
-
-#, python-format
-msgid "Invalid charge amount value %s"
-msgstr ""
-
-#, python-format
-msgid "Invalid limitby value %s"
-msgstr ""
-
-#, python-format
-msgid "Impossible to add printer %s"
-msgstr ""
-
-#, python-format
-msgid "Invalid printer name %s"
-msgstr ""
-
-#, python-format
-msgid "There's no printer matching %s"
-msgstr ""
-
-msgid "You have to pass user or group names on the command line"
-msgstr ""
-
-msgid "You have to pass printer names on the command line"
-msgstr ""
-
-#, python-format
-msgid "Prototype %s not found in Quota Storage for printer %s."
-msgstr ""
-
-#, python-format
-msgid "Prototype object %s not found in Quota Storage."
-msgstr ""
-
-#, python-format
-msgid "Undefined hard limit set to soft limit (%s) on printer %s."
-msgstr ""
-
-#, python-format
-msgid "Undefined soft limit set to hard limit (%s) on printer %s."
-msgstr ""
-
-#, python-format
-msgid "Invalid email address %s"
-msgstr ""
-
-#, python-format
-msgid "Invalid group name %s"
-msgstr ""
-
-#, python-format
-msgid "Invalid user name %s"
-msgstr ""
-
-#, python-format
-msgid "Quota not found for object %s on printer %s."
-msgstr ""
-
-#, python-format
-msgid "Group %s not found in the PyKota Storage."
-msgstr ""
-
-msgid "incompatible options, see help."
-msgstr ""
-
-#, python-format
-msgid "Printer %s not registered in the PyKota system"
-msgstr ""
-
-#, python-format
-msgid "Printer %s was never used"
-msgstr ""
-
-#, python-format
-msgid "Your account balance : %.2f"
-msgstr ""
-
-#, python-format
-msgid "Job size : %i pages"
-msgstr ""
-
-#, python-format
-msgid "Cost on printer %s : %.2f"
-msgstr ""
-
-#, python-format
 msgid "Unsupported accounter backend %s"
 msgstr ""
@@ -175,4 +62,8 @@
 #, python-format
 msgid "Option accounter in section %s only supports values in %s"
+msgstr ""
+
+#, python-format
+msgid "Option enforcement in section %s only supports values in %s"
 msgstr ""
 
@@ -266,4 +157,8 @@
 #, python-format
 msgid "Unsupported quota storage backend %s"
+msgstr ""
+
+#, python-format
+msgid "Impossible to connect to SMTP server : %s"
 msgstr ""
 
@@ -282,4 +177,8 @@
 
 #, python-format
+msgid "Unable to match user %s on printer %s, applying default policy (%s)"
+msgstr ""
+
+#, python-format
 msgid ""
 "Unable to find user %s's account balance, applying default policy (%s) for "
@@ -288,8 +187,4 @@
 
 #, python-format
-msgid "Unable to match user %s on printer %s, applying default policy (%s)"
-msgstr ""
-
-#, python-format
 msgid "Print Quota exceeded for group %s on printer %s"
 msgstr ""
@@ -314,4 +209,16 @@
 
 msgid "Print Quota Low"
+msgstr ""
+
+#, python-format
+msgid "Printing system %s, args=%s"
+msgstr ""
+
+#, python-format
+msgid "Unable to precompute the job's size with the generic PDL analyzer : %s"
+msgstr ""
+
+#, python-format
+msgid "SIGTERM received, job %s cancelled."
 msgstr ""
 
@@ -381,28 +288,47 @@
 msgstr ""
 
+msgid "Totals may be inaccurate if some users are members of several groups."
+msgstr ""
+
+#, python-format
+msgid "Unknown printer address in HARDWARE(%s) for printer %s"
+msgstr ""
+
+#, python-format
+msgid "Launching HARDWARE(%s)..."
+msgstr ""
+
+#, python-format
+msgid "Incorrect answer : %s"
+msgstr ""
+
+#, python-format
+msgid "SIGTERM was sent to hardware accounter %s (pid: %s)"
+msgstr ""
+
+#, python-format
+msgid "Unable to query printer %s via HARDWARE(%s)"
+msgstr ""
+
+#, python-format
+msgid "Launching SOFTWARE(%s)..."
+msgstr ""
+
 #, python-format
 msgid "Unable to compute job size with accounter %s"
 msgstr ""
 
-msgid "Using the 'stupid' accounting method is unreliable."
-msgstr ""
-
-msgid "Totals may be inaccurate if some users are members of several groups."
-msgstr ""
-
-#, python-format
-msgid "Unknown printer address in HARDWARE(%s) for printer %s"
-msgstr ""
-
-#, python-format
-msgid "Unable to query printer %s via HARDWARE(%s)"
-msgstr ""
-
-#, python-format
-msgid "Unknown printer address in SNMP(%s, %s) for printer %s"
-msgstr ""
-
-#, python-format
-msgid "Unable to query printer %s via SNMP(%s, %s)"
+#, python-format
+msgid "Problem while waiting for software accounter pid %s to exit : %s"
+msgstr ""
+
+#, python-format
+msgid "Software accounter %s exit code is %s"
+msgstr ""
+
+#, python-format
+msgid ""
+"Search base %s doesn't seem to exist. Probable misconfiguration. Please "
+"double check /etc/pykota/pykota.conf : %s"
 msgstr ""
 
@@ -424,21 +350,275 @@
 
 #, python-format
+msgid ""
+"Unable to find an existing objectClass %s entry with %s=%s to attach "
+"pykotaAccount objectClass"
+msgstr ""
+
+#, python-format
+msgid "Unable to find an existing entry to attach pykotaGroup objectclass %s"
+msgstr ""
+
+msgid "PyKota Reports"
+msgstr ""
+
+msgid "Report"
+msgstr ""
+
+msgid "User / Group names mask"
+msgstr ""
+
+msgid "Groups report"
+msgstr ""
+
+msgid "History"
+msgstr ""
+
+msgid "Empty"
+msgstr ""
+
+msgid "Date"
+msgstr ""
+
+msgid "Action"
+msgstr ""
+
+msgid "User"
+msgstr ""
+
+msgid "Printer"
+msgstr ""
+
+msgid "Hostname"
+msgstr ""
+
+msgid "JobId"
+msgstr ""
+
+msgid "JobSize"
+msgstr ""
+
+msgid "JobPrice"
+msgstr ""
+
+msgid "Copies"
+msgstr ""
+
+msgid "JobBytes"
+msgstr ""
+
+msgid "PageCounter"
+msgstr ""
+
+msgid "Title"
+msgstr ""
+
+msgid "Filename"
+msgstr ""
+
+msgid "Options"
+msgstr ""
+
+msgid "Job contains no data. Printing is denied."
+msgstr ""
+
+msgid "Job accounting begins."
+msgstr ""
+
+msgid "Job accounting ends."
+msgstr ""
+
+msgid "Job size forced to 0 because printing is denied."
+msgstr ""
+
+#, python-format
+msgid "Job size : %i"
+msgstr ""
+
+#, python-format
+msgid "Updating user %s's quota on printer %s"
+msgstr ""
+
+msgid "Job added to history."
+msgstr ""
+
+#, python-format
+msgid "File number %s unregistered twice from polling object, ignored."
+msgstr ""
+
+#, python-format
+msgid "SIGTERM was sent to real backend %s (pid: %s)"
+msgstr ""
+
+#, python-format
+msgid "CUPS backend %s died abnormally."
+msgstr ""
+
+#, python-format
+msgid "Invalid softlimit value %s."
+msgstr ""
+
+#, python-format
+msgid "Invalid hardlimit value %s."
+msgstr ""
+
+#, python-format
+msgid "Hard limit %i is less than soft limit %i, values will be exchanged."
+msgstr ""
+
+#, python-format
+msgid "Invalid balance value %s"
+msgstr ""
+
+#, python-format
+msgid "Invalid charge amount value %s"
+msgstr ""
+
+#, python-format
+msgid "Invalid limitby value %s"
+msgstr ""
+
+#, python-format
+msgid "Impossible to add printer %s"
+msgstr ""
+
+#, python-format
+msgid "Invalid printer name %s"
+msgstr ""
+
+#, python-format
+msgid "There's no printer matching %s"
+msgstr ""
+
+msgid "You have to pass user or group names on the command line"
+msgstr ""
+
+#, python-format
+msgid "Prototype %s not found in Quota Storage for printer %s."
+msgstr ""
+
+#, python-format
+msgid "Prototype object %s not found in Quota Storage."
+msgstr ""
+
+#, python-format
+msgid "Undefined hard limit set to soft limit (%s) on printer %s."
+msgstr ""
+
+#, python-format
+msgid "Undefined soft limit set to hard limit (%s) on printer %s."
+msgstr ""
+
+#, python-format
+msgid "Invalid email address %s"
+msgstr ""
+
+#, python-format
+msgid "Invalid group name %s"
+msgstr ""
+
+#, python-format
+msgid "Invalid user name %s"
+msgstr ""
+
+#, python-format
+msgid "Quota not found for object %s on printer %s."
+msgstr ""
+
+#, python-format
+msgid "Group %s not found in the PyKota Storage."
+msgstr ""
+
+msgid "incompatible options, see help."
+msgstr ""
+
+#, python-format
+msgid "Printer %s already exists, skipping."
+msgstr ""
+
+#, python-format
+msgid "Printer %s already exists, will be modified."
+msgstr ""
+
 msgid "in"
 msgstr ""
 
-#, python-format
-msgid "Printer %s already exists, skipping."
-msgstr ""
-
-#, python-format
-msgid "Printer %s already exists, will be modified."
-msgstr ""
-
-#, python-format
-msgid "File number %s unregistered twice from polling object, ignored."
-msgstr ""
-
-#, python-format
-msgid "Impossible to connect to SMTP server : %s"
-msgstr ""
-
+msgid "You have to pass printer groups names on the command line"
+msgstr ""
+
+msgid "You have to pass printer names on the command line"
+msgstr ""
+
+msgid "Software accounting already done in first pass. Exiting."
+msgstr ""
+
+msgid ""
+"Hardware accounting already finished ! This should be impossible, please "
+"report this problem ASAP."
+msgstr ""
+
+#, python-format
+msgid "Invalid DeviceURI : %s"
+msgstr ""
+
+msgid ""
+"\n"
+"Please wait while pkhint analyzes your printing system's configuration..."
+msgstr ""
+
+#, python-format
+msgid "Unknown device %s for printer %s"
+msgstr ""
+
+msgid ""
+"\n"
+"Put the following lines into your /etc/pykota/pykota.conf file :\n"
+msgstr ""
+
+msgid "# BEWARE : if software accounting is suggested, this doesn't mean"
+msgstr ""
+
+msgid "# that hardware accounting wouldn't work, this only means that PyKota"
+msgstr ""
+
+msgid "# wasn't able to autodetect which hardware accounting method to use."
+msgstr ""
+
+#, python-format
+msgid "Invalid duration option %s"
+msgstr ""
+
+#, python-format
+msgid "Invalid loop option %s"
+msgstr ""
+
+#, python-format
+msgid "Invalid sleep option %s"
+msgstr ""
+
+#, python-format
+msgid "Invalid color option %s"
+msgstr ""
+
+#, python-format
+msgid "User %s doesn't exist in PyKota's database"
+msgstr ""
+
+#, python-format
+msgid "Pages used on %s : %s"
+msgstr ""
+
+#, python-format
+msgid "PyKota Units left : %.2f"
+msgstr ""
+
+#, python-format
+msgid "Your account balance : %.2f"
+msgstr ""
+
+#, python-format
+msgid "Job size : %i pages"
+msgstr ""
+
+#, python-format
+msgid "Cost on printer %s : %.2f"
+msgstr ""