Index: /pykota/trunk/pykota/version.py
===================================================================
--- /pykota/trunk/pykota/version.py (revision 1622)
+++ /pykota/trunk/pykota/version.py (revision 1629)
@@ -22,5 +22,5 @@
 #
 
-__version__ = "1.19alpha35_unofficial"
+__version__ = "1.19beta_unofficial"
 
 __doc__ = """PyKota : a complete Printing Quota Solution for CUPS and LPRng."""
Index: /pykota/trunk/bin/lprngpykota
===================================================================
--- /pykota/trunk/bin/lprngpykota (revision 1624)
+++ /pykota/trunk/bin/lprngpykota (revision 1629)
@@ -24,4 +24,7 @@
 #
 # $Log$
+# Revision 1.5  2004/07/23 11:19:48  jalet
+# 1.19beta is out !
+#
 # Revision 1.4  2004/07/22 22:41:48  jalet
 # Hardware accounting for LPRng should be OK now. UNTESTED.
@@ -82,5 +85,5 @@
         """First pass done here."""
         # first we have to check if previous job was correctly accounted for
-        if (printer.LastJob.JobAction != "DENY") and (printer.LastJob.JobSize is None) :
+        if printer.LastJob.Exists and not printer.LastJob.JobSize :
             # here we know that previous job wasn't accounted for correctly
             # we are sure (?) that it was hardware accounting which was used
@@ -139,5 +142,5 @@
             self.logdebug("Job size forced to 0 because printing was denied.")
             
-        if self.accounter.isSoftware :    
+        if (self.accounter.isSoftware) or (action == "DENY") :    
             # update the quota for the current user on this printer 
             self.logdebug("Job size : %i" % jobsize)
@@ -159,5 +162,5 @@
             self.posthook(userpquota)
             
-            # here software accounting was completed.
+            # here accounting was completed, either software, or hardware but over quota
         else :
             printer.addJobToHistory(self.jobid, user, self.accounter.getLastPageCounter(), action, filename=self.preserveinputfile, title=self.title, copies=self.copies, options=self.options, clienthost=clienthost, jobsizebytes=self.jobSizeBytes)
@@ -177,15 +180,10 @@
             # in second pass, so all work is already done, 
             # now we just have to exit successfully
-            self.printInfo(_("Software accounting already done in first pass. Exiting."))
-        else :    
-            # Now we have to check if accounting was completely finished :
-            # if it is, then a big problem occured because with hardware
-            # accounting, only the second pass can know the job's size.
-            if (printer.LastJob.JobSize is not None) :
-                # this could only occur if configuration was modified 
-                # between first and second pass, and accounter changed
-                # from software to hardware during this short (?) time.
-                raise PyKotaToolError, _("Hardware accounting already finished ! This should be impossible, please report this problem ASAP.")
-                
+            self.printInfo(_("Software accounting already done in first pass. Ignoring."))
+        elif printer.LastJob.JobAction == "DENY" :
+            # Hardware accounting method was used, but job
+            # was rejected during first pass, so nothing to do
+            self.printInfo(_("Hardware accounting already done in first pass. Ignoring."))
+        else :    
             # here if user and userpquota are both None
             # then it's a special second pass for a job
Index: /pykota/trunk/man/edpykota.1
===================================================================
--- /pykota/trunk/man/edpykota.1 (revision 1605)
+++ /pykota/trunk/man/edpykota.1 (revision 1629)
@@ -2,7 +2,7 @@
 .TH EDPYKOTA "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-edpykota \- manual page for edpykota 1.19alpha33_unofficial
+edpykota \- manual page for edpykota 1.19beta_unofficial
 .SH DESCRIPTION
-edpykota v1.19alpha33_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+edpykota v1.19beta_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 A Print Quota editor for PyKota.
 .PP
Index: /pykota/trunk/man/pkpgcounter.1
===================================================================
--- /pykota/trunk/man/pkpgcounter.1 (revision 1622)
+++ /pykota/trunk/man/pkpgcounter.1 (revision 1629)
@@ -1,3 +1,3 @@
-.TH PKPGCOUNTER "1" "April 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKPGCOUNTER "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
 pkpgcounter \- PyKota script to count pages in PostScript, PDF, PCL5 and PCL6 documents
Index: /pykota/trunk/man/pkprinters.1
===================================================================
--- /pykota/trunk/man/pkprinters.1 (revision 1605)
+++ /pykota/trunk/man/pkprinters.1 (revision 1629)
@@ -2,7 +2,7 @@
 .TH PKPRINTERS "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-pkprinters \- manual page for pkprinters 1.19alpha33_unofficial
+pkprinters \- manual page for pkprinters 1.19beta_unofficial
 .SH DESCRIPTION
-pkprinters v1.19alpha33_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pkprinters v1.19beta_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 A Printers Manager for PyKota.
 .PP
Index: /pykota/trunk/man/pykotme.1
===================================================================
--- /pykota/trunk/man/pykotme.1 (revision 1605)
+++ /pykota/trunk/man/pykotme.1 (revision 1629)
@@ -2,7 +2,7 @@
 .TH PYKOTME "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-pykotme \- manual page for pykotme 1.19alpha33_unofficial
+pykotme \- manual page for pykotme 1.19beta_unofficial
 .SH DESCRIPTION
-pykotme v1.19alpha33_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pykotme v1.19beta_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 .PP
 Gives print quotes to users.
Index: /pykota/trunk/man/pykosd.1
===================================================================
--- /pykota/trunk/man/pykosd.1 (revision 1605)
+++ /pykota/trunk/man/pykosd.1 (revision 1629)
@@ -2,7 +2,7 @@
 .TH PYKOSD "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-pykosd \- manual page for pykosd 1.19alpha33_unofficial
+pykosd \- manual page for pykosd 1.19beta_unofficial
 .SH DESCRIPTION
-pykosd v1.19alpha33_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pykosd v1.19beta_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 An OSD quota monitor for PyKota.
 .PP
@@ -19,7 +19,15 @@
 Prints this message then exits.
 .TP
+\fB\-c\fR | \fB\-\-color\fR #rrggbb Sets the color to use for display as an hexadecimal
+triplet, for example #FF0000 is 100% red.
+Defaults to 100% green (#00FF00).
+.TP
 \fB\-d\fR | \fB\-\-duration\fR d
 Sets the duration of the display in seconds.
 Defaults to 3 seconds.
+.TP
+\fB\-f\fR | \fB\-\-font\fR f
+Sets the font to use for display.
+Defaults to the Python OSD library's default.
 .TP
 \fB\-l\fR | \fB\-\-loop\fR n
Index: /pykota/trunk/man/pkhint.1
===================================================================
--- /pykota/trunk/man/pkhint.1 (revision 1605)
+++ /pykota/trunk/man/pkhint.1 (revision 1629)
@@ -2,7 +2,7 @@
 .TH PKHINT "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-pkhint \- manual page for pkhint 1.19alpha33_unofficial
+pkhint \- manual page for pkhint 1.19beta_unofficial
 .SH DESCRIPTION
-pkhint v1.19alpha33_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pkhint v1.19beta_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 A tool to give hints on what accounting method is best for each printer.
 .PP
Index: /pykota/trunk/man/repykota.1
===================================================================
--- /pykota/trunk/man/repykota.1 (revision 1605)
+++ /pykota/trunk/man/repykota.1 (revision 1629)
@@ -2,7 +2,7 @@
 .TH REPYKOTA "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-repykota \- manual page for repykota 1.19alpha33_unofficial
+repykota \- manual page for repykota 1.19beta_unofficial
 .SH DESCRIPTION
-repykota v1.19alpha33_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+repykota v1.19beta_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 .PP
 Generates print quota reports.
Index: /pykota/trunk/man/warnpykota.1
===================================================================
--- /pykota/trunk/man/warnpykota.1 (revision 1605)
+++ /pykota/trunk/man/warnpykota.1 (revision 1629)
@@ -2,7 +2,7 @@
 .TH WARNPYKOTA "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-warnpykota \- manual page for warnpykota 1.19alpha33_unofficial
+warnpykota \- manual page for warnpykota 1.19beta_unofficial
 .SH DESCRIPTION
-warnpykota v1.19alpha33_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+warnpykota v1.19beta_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 .PP
 Sends mail to users over print quota.
Index: /pykota/trunk/NEWS
===================================================================
--- /pykota/trunk/NEWS (revision 1622)
+++ /pykota/trunk/NEWS (revision 1629)
@@ -22,4 +22,11 @@
 PyKota NEWS :
 
+    - 1.19beta :
+    
+        - LPRng support for both software and hardware accounting seems
+          to be OK.
+          
+        - Translation files fixed because of fuzzy matching problem.  
+        
     - 1.19alpha35 :
     