Index: pykota/trunk/man/edpykota.1
===================================================================
--- pykota/trunk/man/edpykota.1 (revision 1605)
+++ pykota/trunk/man/edpykota.1 (revision 1629)
@@ -2,7 +2,7 @@
 .TH EDPYKOTA "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-edpykota \- manual page for edpykota 1.19alpha33_unofficial
+edpykota \- manual page for edpykota 1.19beta_unofficial
 .SH DESCRIPTION
-edpykota v1.19alpha33_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+edpykota v1.19beta_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 A Print Quota editor for PyKota.
 .PP
Index: pykota/trunk/man/pkpgcounter.1
===================================================================
--- pykota/trunk/man/pkpgcounter.1 (revision 1622)
+++ pykota/trunk/man/pkpgcounter.1 (revision 1629)
@@ -1,3 +1,3 @@
-.TH PKPGCOUNTER "1" "April 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKPGCOUNTER "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
 pkpgcounter \- PyKota script to count pages in PostScript, PDF, PCL5 and PCL6 documents
Index: pykota/trunk/man/pkprinters.1
===================================================================
--- pykota/trunk/man/pkprinters.1 (revision 1605)
+++ pykota/trunk/man/pkprinters.1 (revision 1629)
@@ -2,7 +2,7 @@
 .TH PKPRINTERS "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-pkprinters \- manual page for pkprinters 1.19alpha33_unofficial
+pkprinters \- manual page for pkprinters 1.19beta_unofficial
 .SH DESCRIPTION
-pkprinters v1.19alpha33_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pkprinters v1.19beta_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 A Printers Manager for PyKota.
 .PP
Index: pykota/trunk/man/pykotme.1
===================================================================
--- pykota/trunk/man/pykotme.1 (revision 1605)
+++ pykota/trunk/man/pykotme.1 (revision 1629)
@@ -2,7 +2,7 @@
 .TH PYKOTME "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-pykotme \- manual page for pykotme 1.19alpha33_unofficial
+pykotme \- manual page for pykotme 1.19beta_unofficial
 .SH DESCRIPTION
-pykotme v1.19alpha33_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pykotme v1.19beta_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 .PP
 Gives print quotes to users.
Index: pykota/trunk/man/pykosd.1
===================================================================
--- pykota/trunk/man/pykosd.1 (revision 1605)
+++ pykota/trunk/man/pykosd.1 (revision 1629)
@@ -2,7 +2,7 @@
 .TH PYKOSD "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-pykosd \- manual page for pykosd 1.19alpha33_unofficial
+pykosd \- manual page for pykosd 1.19beta_unofficial
 .SH DESCRIPTION
-pykosd v1.19alpha33_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pykosd v1.19beta_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 An OSD quota monitor for PyKota.
 .PP
@@ -19,7 +19,15 @@
 Prints this message then exits.
 .TP
+\fB\-c\fR | \fB\-\-color\fR #rrggbb Sets the color to use for display as an hexadecimal
+triplet, for example #FF0000 is 100% red.
+Defaults to 100% green (#00FF00).
+.TP
 \fB\-d\fR | \fB\-\-duration\fR d
 Sets the duration of the display in seconds.
 Defaults to 3 seconds.
+.TP
+\fB\-f\fR | \fB\-\-font\fR f
+Sets the font to use for display.
+Defaults to the Python OSD library's default.
 .TP
 \fB\-l\fR | \fB\-\-loop\fR n
Index: pykota/trunk/man/pkhint.1
===================================================================
--- pykota/trunk/man/pkhint.1 (revision 1605)
+++ pykota/trunk/man/pkhint.1 (revision 1629)
@@ -2,7 +2,7 @@
 .TH PKHINT "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-pkhint \- manual page for pkhint 1.19alpha33_unofficial
+pkhint \- manual page for pkhint 1.19beta_unofficial
 .SH DESCRIPTION
-pkhint v1.19alpha33_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pkhint v1.19beta_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 A tool to give hints on what accounting method is best for each printer.
 .PP
Index: pykota/trunk/man/repykota.1
===================================================================
--- pykota/trunk/man/repykota.1 (revision 1605)
+++ pykota/trunk/man/repykota.1 (revision 1629)
@@ -2,7 +2,7 @@
 .TH REPYKOTA "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-repykota \- manual page for repykota 1.19alpha33_unofficial
+repykota \- manual page for repykota 1.19beta_unofficial
 .SH DESCRIPTION
-repykota v1.19alpha33_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+repykota v1.19beta_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 .PP
 Generates print quota reports.
Index: pykota/trunk/man/warnpykota.1
===================================================================
--- pykota/trunk/man/warnpykota.1 (revision 1605)
+++ pykota/trunk/man/warnpykota.1 (revision 1629)
@@ -2,7 +2,7 @@
 .TH WARNPYKOTA "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-warnpykota \- manual page for warnpykota 1.19alpha33_unofficial
+warnpykota \- manual page for warnpykota 1.19beta_unofficial
 .SH DESCRIPTION
-warnpykota v1.19alpha33_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+warnpykota v1.19beta_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 .PP
 Sends mail to users over print quota.