Index: pykota/trunk/debian/changelog
===================================================================
--- pykota/trunk/debian/changelog (revision 1592)
+++ pykota/trunk/debian/changelog (revision 1664)
@@ -1,2 +1,8 @@
+pykota (1.19) unstable; urgency=low
+
+  * Update from CVS
+  
+ -- Jerome Alet <alet@librelogiciel.com>  Wed,  28 Jul 2004 15:59:03 +0100
+ 
 pykota (1.19alpha29) unstable; urgency=low
 
Index: pykota/trunk/TODO
===================================================================
--- pykota/trunk/TODO (revision 1640)
+++ pykota/trunk/TODO (revision 1664)
@@ -66,5 +66,4 @@
           in the banner).
           
-          
         - Introduce the pkusers command.
           pkusers --nogroup
Index: pykota/trunk/pykota/version.py
===================================================================
--- pykota/trunk/pykota/version.py (revision 1629)
+++ pykota/trunk/pykota/version.py (revision 1664)
@@ -22,5 +22,5 @@
 #
 
-__version__ = "1.19beta_unofficial"
+__version__ = "1.19_unofficial"
 
 __doc__ = """PyKota : a complete Printing Quota Solution for CUPS and LPRng."""
Index: pykota/trunk/man/edpykota.1
===================================================================
--- pykota/trunk/man/edpykota.1 (revision 1629)
+++ pykota/trunk/man/edpykota.1 (revision 1664)
@@ -2,7 +2,7 @@
 .TH EDPYKOTA "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-edpykota \- manual page for edpykota 1.19beta_unofficial
+edpykota \- manual page for edpykota 1.19_unofficial
 .SH DESCRIPTION
-edpykota v1.19beta_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+edpykota v1.19_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 A Print Quota editor for PyKota.
 .PP
Index: pykota/trunk/man/pkprinters.1
===================================================================
--- pykota/trunk/man/pkprinters.1 (revision 1629)
+++ pykota/trunk/man/pkprinters.1 (revision 1664)
@@ -2,7 +2,7 @@
 .TH PKPRINTERS "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-pkprinters \- manual page for pkprinters 1.19beta_unofficial
+pkprinters \- manual page for pkprinters 1.19_unofficial
 .SH DESCRIPTION
-pkprinters v1.19beta_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pkprinters v1.19_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 A Printers Manager for PyKota.
 .PP
Index: pykota/trunk/man/pykotme.1
===================================================================
--- pykota/trunk/man/pykotme.1 (revision 1629)
+++ pykota/trunk/man/pykotme.1 (revision 1664)
@@ -2,7 +2,7 @@
 .TH PYKOTME "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-pykotme \- manual page for pykotme 1.19beta_unofficial
+pykotme \- manual page for pykotme 1.19_unofficial
 .SH DESCRIPTION
-pykotme v1.19beta_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pykotme v1.19_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 .PP
 Gives print quotes to users.
Index: pykota/trunk/man/pykosd.1
===================================================================
--- pykota/trunk/man/pykosd.1 (revision 1629)
+++ pykota/trunk/man/pykosd.1 (revision 1664)
@@ -2,7 +2,7 @@
 .TH PYKOSD "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-pykosd \- manual page for pykosd 1.19beta_unofficial
+pykosd \- manual page for pykosd 1.19_unofficial
 .SH DESCRIPTION
-pykosd v1.19beta_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pykosd v1.19_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 An OSD quota monitor for PyKota.
 .PP
Index: pykota/trunk/man/pkhint.1
===================================================================
--- pykota/trunk/man/pkhint.1 (revision 1629)
+++ pykota/trunk/man/pkhint.1 (revision 1664)
@@ -2,7 +2,7 @@
 .TH PKHINT "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-pkhint \- manual page for pkhint 1.19beta_unofficial
+pkhint \- manual page for pkhint 1.19_unofficial
 .SH DESCRIPTION
-pkhint v1.19beta_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pkhint v1.19_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 A tool to give hints on what accounting method is best for each printer.
 .PP
Index: pykota/trunk/man/repykota.1
===================================================================
--- pykota/trunk/man/repykota.1 (revision 1629)
+++ pykota/trunk/man/repykota.1 (revision 1664)
@@ -2,7 +2,7 @@
 .TH REPYKOTA "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-repykota \- manual page for repykota 1.19beta_unofficial
+repykota \- manual page for repykota 1.19_unofficial
 .SH DESCRIPTION
-repykota v1.19beta_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+repykota v1.19_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 .PP
 Generates print quota reports.
Index: pykota/trunk/man/warnpykota.1
===================================================================
--- pykota/trunk/man/warnpykota.1 (revision 1629)
+++ pykota/trunk/man/warnpykota.1 (revision 1664)
@@ -2,7 +2,7 @@
 .TH WARNPYKOTA "1" "July 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-warnpykota \- manual page for warnpykota 1.19beta_unofficial
+warnpykota \- manual page for warnpykota 1.19_unofficial
 .SH DESCRIPTION
-warnpykota v1.19beta_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+warnpykota v1.19_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 .PP
 Sends mail to users over print quota.
Index: pykota/trunk/NEWS
===================================================================
--- pykota/trunk/NEWS (revision 1639)
+++ pykota/trunk/NEWS (revision 1664)
@@ -22,4 +22,12 @@
 PyKota NEWS :
 
+    - 1.19 :
+    
+        - Updated existing translations.    
+        
+        - Added final Thai and Greek translations.
+        
+        - Minor last minute bug fixes.
+        
     - 1.19beta :
     